diff --git a/src/keepass_fmt_plug.c b/src/keepass_fmt_plug.c
index aed55c2595..5a4adb5f5e 100644
--- a/src/keepass_fmt_plug.c
+++ b/src/keepass_fmt_plug.c
@@ -29,9 +29,6 @@ john_register_one(&fmt_KeePass);
 
 #ifdef _OPENMP
 #include <omp.h>
-#ifndef OMP_SCALE
-#define OMP_SCALE               1
-#endif
 #endif
 
 #include "arch.h"
@@ -47,6 +44,10 @@ john_register_one(&fmt_KeePass);
 #include "chacha.h"
 #include "memdbg.h"
 
+#ifndef OMP_SCALE
+#define OMP_SCALE               4 // This and MKPC tuned for core i7
+#endif
+
 #define FORMAT_LABEL            "KeePass"
 #define FORMAT_NAME             ""
 #define ALGORITHM_NAME          "SHA256 AES 32/" ARCH_BITS_STR " " SHA2_LIB
@@ -120,9 +121,9 @@ static void transform_key(char *masterkey, keepass_salt_t *csp,
 
 static void init(struct fmt_main *self)
 {
-#ifdef _OPENMP
+
 	omp_autotune(self, OMP_SCALE);
-#endif
+
 	keepass_key = mem_calloc(self->params.max_keys_per_crypt,
 				sizeof(*keepass_key));
 	any_cracked = 0;
diff --git a/src/mysql_fmt_plug.c b/src/mysql_fmt_plug.c
index d911fea11e..12e04f2c02 100644
--- a/src/mysql_fmt_plug.c
+++ b/src/mysql_fmt_plug.c
@@ -28,29 +28,29 @@ john_register_one(&fmt_MYSQL_fast);
 #include <stdlib.h>
 #include <string.h>
 
+#include "arch.h"
 #if !FAST_FORMATS_OMP
 #undef _OPENMP
 #endif
-
 #ifdef _OPENMP
 #include <omp.h>
+#endif
+
+#include "misc.h"
+#include "common.h"
+#include "formats.h"
+#include "memdbg.h"
+
 #ifdef __MIC__
 #ifndef OMP_SCALE
 #define OMP_SCALE			2048
 #endif
 #else
 #ifndef OMP_SCALE
-#define OMP_SCALE			81920
-#endif
+#define OMP_SCALE			16 // This and MKPC tuned for core i7
 #endif
 #endif
 
-#include "arch.h"
-#include "misc.h"
-#include "common.h"
-#include "formats.h"
-#include "memdbg.h"
-
 #define FORMAT_LABEL			"mysql"
 #define FORMAT_NAME			"MySQL pre-4.1"
 #define ALGORITHM_NAME			"32/" ARCH_BITS_STR
@@ -67,7 +67,7 @@ john_register_one(&fmt_MYSQL_fast);
 #define SALT_ALIGN			1
 
 #define MIN_KEYS_PER_CRYPT		1
-#define MAX_KEYS_PER_CRYPT		8
+#define MAX_KEYS_PER_CRYPT		512
 
 static struct fmt_tests tests[] = {
 	// ciphertext, plaintext
@@ -94,9 +94,9 @@ static uint32_t (*crypt_key)[BINARY_SIZE / 4];
 
 static void init(struct fmt_main *self)
 {
-#ifdef _OPENMP
+
 	omp_autotune(self, OMP_SCALE);
-#endif
+
 	saved_key = mem_calloc(self->params.max_keys_per_crypt,
 	                      sizeof(*saved_key));
 	crypt_key = mem_calloc(self->params.max_keys_per_crypt,
